Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Grid

Namespace F88878
	Partial Public Class Form1
		Inherits Form
		Private rowcount As Integer = 20
		Private dept() As String ={ "CIVIL", "MECHANICAL", "EEE", "ECE", "IT", "CSE", "BIO-TECH", "AERO", "MARINE", "TEXTILE" }
		Private year() As String ={ "I", "II", "III", "IV" }
		Private dt As DataTable
        Private gbc As GridBoundColumn
		Public Sub New()
			InitializeComponent()
			gbc = New GridBoundColumn()
            gbc.HeaderText = "Check"
			gbc.MappingName = "SNo"
			gbc.StyleInfo.CellType = GridCellTypeName.CheckBox
			gbc.StyleInfo.CellValueType = GetType(Boolean)
            gbc.StyleInfo.HorizontalAlignment = GridHorizontalAlignment.Center

            Me.gridDataBoundGrid1.GridBoundColumns.Add(gbc)
          
            dt = New DataTable()
			dt.Columns.Add("SNo")
			dt.Columns.Add("StudentID")
			dt.Columns.Add("Department")
			dt.Columns.Add("Year")
			dt.Columns.Add("Location")

			Dim r As New Random(124321)
			For i As Integer = 0 To rowcount - 1
				Dim dr As DataRow = dt.NewRow()
				If (i + 1) < 10 Then
					dr(0) = "0" & (i + 1).ToString()
					dr(1) = "S" & "0" & (i + 1).ToString()
				Else
					dr(0) = (i + 1).ToString()
					dr(1) = "S" & (i + 1).ToString()
				End If
				dr(2) = dept(r.Next(0, 9))
				dr(3) = year(r.Next(0, 3))
				dr(4) = "City"
				dt.Rows.Add(dr)
			Next i

            Me.gridDataBoundGrid1.DataSource = dt

        End Sub
	End Class
End Namespace